package com.ff.base.enums;

/**
 * 会员投注任务状态
 *
 * @author liukang
 */
public enum BetTaskStatus
{
    /**
     * 账号状态（0正常 1手动冻结 2异常冻结 3禁止领取优惠 4禁止提现 5黑名单 6停用 7禁止进入游戏 8自我禁止-限制游戏 9自我禁止-限制参与优惠 10自我禁止-限制登录）
     */
    BetTaskStatus_0("0", "等待投注"),
    BetTaskStatus_1("1", "进行中"),
    BetTaskStatus_2("2", "完成"),
    BetTaskStatus_3("3", "人工解除"),
    BetTaskStatus_4("4", "系统解除"),
    BetTaskStatus_5("-1", "所有未完成");

    private final String code;
    private final String info;

    BetTaskStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
